%global use_x11_tests 1

Name:           perl-Gtk3
Version:        0.002
Release:        2%{?dist}
Summary:        Perl interface to the 3.x series of the GTK+ toolkit
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Gtk3/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TS/TSCH/Gtk3-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::Install)
BuildRequires:  perl(Glib) >= 1.240
BuildRequires:  perl(Glib::Object::Introspection) >= 0.002
BuildRequires:  perl(Test::More)
BuildRequires:  gtk3
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Scalar::Util)
Requires:       perl(Glib) >= 1.240
Requires:       perl(Glib::Object::Introspection) >= 0.002
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       gtk3
%if %{use_x11_tests}
# X11 tests:
BuildRequires:  xorg-x11-server-Xvfb
BuildRequires:  xorg-x11-xinit
BuildRequires:  font(:lang=en)
%endif

%description
The Gtk3 module allows a Perl developer to use the GTK+ graphical user
interface library. Find out more about GTK+ at <http://www.gtk.org/>.

%prep
%setup -q -n Gtk3-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if %{use_x11_tests}
    xinit /bin/sh -c 'rm -f ok; make test && touch ok' -- /usr/bin/Xvfb :666
    test -e ok
%else
    make test
%endif

%files
%doc LICENSE NEWS README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jan  5 2012 Daniel P. Berrange <berrange@redhat.com> - 0.002-2
- Use xvfb to run test suite
- Fix capitalization of GTK+
- Remove dist.ini & perl-Gtk3.doap
- Remove defattr from files section
- Add missing BuildRequires for test suite
- Add trailing / into URIs

* Thu Dec 15 2011 Daniel P. Berrange <berrange@redhat.com> - 0.002-1
- Update to 0.002 release

* Mon Nov 28 2011 Daniel P. Berrange <berrange@redhat.com> - 0.001-2
- Add Test::More BR
- Disable overrides.t test (rt #72773)
- Comment about running test without $DISPLAY available

* Fri Nov 04 2011 Daniel P Berrange <berrange@redhat.com> 0.001-1
- Specfile autogenerated by cpanspec 1.78.
